[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetEditText

Gets the text displayed in the Editor for the specified cell.

## Declaration

Source position: grids.pas line 1115

`protected function TCustomGrid.GetEditText(`
`ACol: LongInt;`
`ARow: LongInt`
`):string; virtual;`

## Arguments

`ACol` |  | Column number for the editor text.
`ARow` |  | Row number for the editor text.

## Function result

Text displayed in the cell editor.

## Description

GetEditText always returns an empty string ('') in TCustomGrid. It is overridden in descendent classes like TCustomDrawGrid and TCustomStringGrid to signal an OnGetEditText event handler.

GetEditText is called from the EditorDoSetValue method when TGridMessages are dispatched to the Editor to set the edit mask and value used in the control.